Composition API for Vue 2

Composition API is supported from Vue 3, and you can use the official @vue/composition-api plugin to make the Composition API available to Vue 2.

Vue I18n Composition API is also available in Vue 2 using the @intlify/vue-i18n-composable plugin.

About how to usage, See the here

NOTICE

@intlify/vue-i18n-composable allows the main API of Vue I18n v8.x to work with the Composition API. All of Composition API provided in Vue I18n v9 are not available.